NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.SectionSurfaceBuilder Class Reference

Represents a NXOpen.Features.SectionSurface builder More...

Inheritance diagram for NXOpen.Features.SectionSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ControlRegionEnum { Entire, Start, End }
 This enum represents the type of the region where depth and skew can be applied More...
 
enum  FlowDirectionEnum { NotSpecified, Perpendicular, IsoLineU, IsoLineV }
 This enum represents the type of flow direction for the start/end of the section surface More...
 
enum  SectionMethodCircularTangentEnum { FilletArc, CoverArc }
 This enum represents the current types of section method for circular tangent method More...
 
enum  SectionMethodFilletBridgeEnum { Continuity, InheritShape }
 This enum represents the current types of section method for fillet bridge method More...
 
enum  SectionMethodRhoEnum { Rho, LeastTension }
 This enum represents the current types of section method for section methods with rho law More...
 
enum  Types {
  EndsApexShoulder, EndsSlopeShoulder, FilletShoulder, EndsApexRho,
  EndsSlopeRho, FilletRho, EndsApexHilite, EndsSlopeHilite,
  FilletHilite, FourPointSlope, FivePoint, ThreePointArc,
  TwoPointRadius, EndSlopeArc, PointRadiusAngleArc, Circle,
  CircleTangent, EndsSlopeCubic, FilletBridge, LinearTangent
}
 This enum represents the current types of section surface methods More...
 
enum  UDegreeEnum { Conic, Cubic, Quintic }
 This enum represents the current types of section surface in u direction More...
 

Properties

unsafe int AlternateMethod [get, set]
 Returns or sets the alternate method. More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
AngleLaw [get]
 Returns the angle Law More...
 
unsafe NXOpen.Section ApexCurve [get]
 Returns the apex curve. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.ControlRegionEnum 
ControlRegion [get, set]
 Returns or sets the control region for fillet bridge More...
 
unsafe bool CreateApexCurve [get, set]
 Returns or sets whether an apex curve should be created More...
 
unsafe double CurvatureTolerance [get, set]
 Returns or sets the curvature tolerance More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
EndContinuity [get]
 Returns the end continuity for fillet bridge More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
EndDepthSkew [get]
 Returns the end depth and skew More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.FlowDirectionEnum 
EndFlowDirection [get, set]
 Returns or sets the end flow direction for fillet bridge More...
 
unsafe NXOpen.Section EndGuide [get]
 Returns the end guide More...
 
unsafe NXOpen.Section EndHighlightSection [get]
 Returns the end highlight section . More...
 
unsafe NXOpen.Section EndShapeCurve [get]
 Returns the end shape curve for fillet bridge More...
 
unsafe NXOpen.Section EndSlope [get]
 Returns the end slope. More...
 
unsafe NXOpen.ScCollector EndSurface [get]
 Returns the end surface Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FilletShoulder , NXOpen.Features.SectionSurfaceBuilder.Types.FilletRho , NXOpen.Features.SectionSurfaceBuilder.Types.FilletHilite and NXOpen.Features.SectionSurfaceBuilder.Types.FilletBridge More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
EntireRegionDepthSkew [get]
 Returns the entire region depth and skew More...
 
unsafe NXOpen.Section InteriorGuide1 [get]
 Returns the interior guide1. More...
 
unsafe NXOpen.Section InteriorGuide2 [get]
 Returns the interior guide2 Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FourPointSlope and NXOpen.Features.SectionSurfaceBuilder.Types.FivePoint More...
 
unsafe NXOpen.Section InteriorGuide3 [get]
 Returns the interior guide3 Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FourPointSlope and NXOpen.Features.SectionSurfaceBuilder.Types.FivePoint More...
 
unsafe NXOpen.Section OrientationGuide [get]
 Returns the orientation guide. More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RadiusLaw [get]
 Returns the radius Law More...
 
unsafe bool ReverseEndSurface [get, set]
 Returns or sets the reverse end surface Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.PointRadiusAngleArc and NXOpen.Features.SectionSurfaceBuilder.Types.FilletBridge More...
 
unsafe bool ReverseStartDirection [get, set]
 Returns or sets the reverse start direction. More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RhoLaw [get]
 Returns the rho Law More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.SectionMethodCircularTangentEnum 
SectionMethodCircularTangent [get, set]
 Returns or sets the section method for circular tangent More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.SectionMethodFilletBridgeEnum 
SectionMethodFilletBridge [get, set]
 Returns or sets the section method for fillet bridge More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.SectionMethodRhoEnum 
SectionMethodRho [get, set]
 Returns or sets the section method for rho law More...
 
unsafe NXOpen.Section Shoulder [get]
 Returns the shoulder. More...
 
unsafe NXOpen.Section SpineCurve [get]
 Returns the spine curve More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
StartContinuity [get]
 Returns the start continuity for fillet bridge More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
StartDepthSkew [get]
 Returns the start depth and skew More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.FlowDirectionEnum 
StartFlowDirection [get, set]
 Returns or sets the start flow direction for fillet bridge More...
 
unsafe NXOpen.Section StartGuide [get]
 Returns the start guide More...
 
unsafe NXOpen.Section StartHighlightSection [get]
 Returns the start highlight section. More...
 
unsafe NXOpen.Section StartShapeCurve [get]
 Returns the start shape curve for fillet bridge More...
 
unsafe NXOpen.Section StartSlope [get]
 Returns the start slope. More...
 
unsafe NXOpen.ScCollector StartSurface [get]
 Returns the start surface. More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilder.UDegreeEnum 
UDegree [get, set]
 Returns or sets the u degree More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
VDegree [get]
 Returns the v degree More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SectionSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSectionSurfaceBuilder

Default values.

Property Value

AngleLaw.EndValue.Value

1

AngleLaw.Function

ft

AngleLaw.LawType

Constant

AngleLaw.Parameter

t

AngleLaw.StartValue.Value

1

AngleLaw.Value.Value

0.0

EndContinuity.ContinuityType

G1

RadiusLaw.EndValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.StartValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.Value.Value

1.0 (millimeters part), 0.05 (inches part)

RhoLaw.EndValue.Value

0.5

RhoLaw.StartValue.Value

0.5

RhoLaw.Value.Value

0.5

SectionMethodCircularTangent

FilletArc

SectionMethodFilletBridge

Continuity

SectionMethodRho

Rho

StartContinuity.ContinuityType

G1

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Features.SectionSurfaceBuilderEx instead.

Member Enumeration Documentation

This enum represents the type of the region where depth and skew can be applied

Enumerator
Entire 

depth and skew applied to the entire section surface

Start 

depth and skew applied to the start section of the section surface

End 

depth and skew applied to the end section of the section surface

This enum represents the type of flow direction for the start/end of the section surface

Enumerator
NotSpecified 

flow direction not specified

Perpendicular 

flow direction perpendicular to the guide

IsoLineU 

flow direction follows iso u of the start surface

IsoLineV 

flow direction follows iso v of the start surface

This enum represents the current types of section method for circular tangent method

Enumerator
FilletArc 

fillet arc

CoverArc 

cover arc

This enum represents the current types of section method for fillet bridge method

Enumerator
Continuity 

continuity options

InheritShape 

inherit shape option

This enum represents the current types of section method for section methods with rho law

Enumerator
Rho 

rho law method

LeastTension 

least tension method

This enum represents the current types of section surface methods

Enumerator
EndsApexShoulder 

ends apex shoulder

EndsSlopeShoulder 

ends slope shoulder

FilletShoulder 

fillet shoulder

EndsApexRho 

ends apex rho

EndsSlopeRho 

ends slope rho

FilletRho 

fillet rho

EndsApexHilite 

ends apex hilite

EndsSlopeHilite 

ends slope hilite

FilletHilite 

fillet hilite

FourPointSlope 

four point slope

FivePoint 

five point

ThreePointArc 

three point arc

TwoPointRadius 

two point radius

EndSlopeArc 

point radius angle arc

PointRadiusAngleArc 

point radius angle arc

Circle 

circle

CircleTangent 

circle tangent

EndsSlopeCubic 

ends slope cubic

FilletBridge 

fillet bridge

LinearTangent 

linear tangent

This enum represents the current types of section surface in u direction

Enumerator
Conic 

conic in u

Cubic 

cubic in u

Quintic 

quintic in u

Property Documentation

unsafe int NXOpen.Features.SectionSurfaceBuilder.AlternateMethod
getset

Returns or sets the alternate method.

This api only applies to the follow section surface methods, circle_tangent and linear-tangent

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilder.AngleLaw
get

Returns the angle Law

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.ApexCurve
get

Returns the apex curve.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexShoulder , NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexRho , and NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexHilite

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilder.ControlRegionEnum NXOpen.Features.SectionSurfaceBuilder.ControlRegion
getset

Returns or sets the control region for fillet bridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SectionSurfaceBuilder.CreateApexCurve
getset

Returns or sets whether an apex curve should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionSurfaceBuilder.CurvatureTolerance
getset

Returns or sets the curvature tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SectionSurfaceBuilder.EndContinuity
get

Returns the end continuity for fillet bridge

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilder.EndDepthSkew
get

Returns the end depth and skew

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilder.FlowDirectionEnum NXOpen.Features.SectionSurfaceBuilder.EndFlowDirection
getset

Returns or sets the end flow direction for fillet bridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.EndGuide
get

Returns the end guide

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.EndHighlightSection
get

Returns the end highlight section .

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexHilite , NXOpen.Features.SectionSurfaceBuilder.Types.EndsSlopeHilite and NXOpen.Features.SectionSurfaceBuilder.Types.FilletHilite

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.EndShapeCurve
get

Returns the end shape curve for fillet bridge

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.EndSlope
get
unsafe NXOpen.ScCollector NXOpen.Features.SectionSurfaceBuilder.EndSurface
get
unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilder.EntireRegionDepthSkew
get

Returns the entire region depth and skew

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.InteriorGuide1
get

Returns the interior guide1.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FourPointSlope , NXOpen.Features.SectionSurfaceBuilder.Types.FivePoint , and NXOpen.Features.SectionSurfaceBuilder.Types.ThreePointArc

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.InteriorGuide2
get

Returns the interior guide2 Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FourPointSlope and NXOpen.Features.SectionSurfaceBuilder.Types.FivePoint

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.InteriorGuide3
get

Returns the interior guide3 Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.FourPointSlope and NXOpen.Features.SectionSurfaceBuilder.Types.FivePoint

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.OrientationGuide
get

Returns the orientation guide.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.Circle

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Features.SectionSurfaceBuilder.PositionTolerance
getset

Returns or sets the position tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilder.RadiusLaw
get

Returns the radius Law

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SectionSurfaceBuilder.ReverseEndSurface
getset

Returns or sets the reverse end surface Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.PointRadiusAngleArc and NXOpen.Features.SectionSurfaceBuilder.Types.FilletBridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SectionSurfaceBuilder.ReverseStartDirection
getset

Returns or sets the reverse start direction.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.PointRadiusAngleArc and NXOpen.Features.SectionSurfaceBuilder.Types.FilletBridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilder.RhoLaw
get

Returns the rho Law

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilder.SectionMethodCircularTangentEnum NXOpen.Features.SectionSurfaceBuilder.SectionMethodCircularTangent
getset

Returns or sets the section method for circular tangent

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilder.SectionMethodFilletBridgeEnum NXOpen.Features.SectionSurfaceBuilder.SectionMethodFilletBridge
getset

Returns or sets the section method for fillet bridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilder.SectionMethodRhoEnum NXOpen.Features.SectionSurfaceBuilder.SectionMethodRho
getset

Returns or sets the section method for rho law

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.Shoulder
get

Returns the shoulder.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexShoulder , NXOpen.Features.SectionSurfaceBuilder.Types.EndsSlopeShoulder and NXOpen.Features.SectionSurfaceBuilder.Types.FilletShoulder

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.SpineCurve
get

Returns the spine curve

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SectionSurfaceBuilder.StartContinuity
get

Returns the start continuity for fillet bridge

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilder.StartDepthSkew
get

Returns the start depth and skew

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilder.FlowDirectionEnum NXOpen.Features.SectionSurfaceBuilder.StartFlowDirection
getset

Returns or sets the start flow direction for fillet bridge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.StartGuide
get

Returns the start guide

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.StartHighlightSection
get

Returns the start highlight section.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilder.Types.EndsApexHilite , NXOpen.Features.SectionSurfaceBuilder.Types.EndsSlopeHilite and NXOpen.Features.SectionSurfaceBuilder.Types.FilletHilite

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.StartShapeCurve
get

Returns the start shape curve for fillet bridge

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilder.StartSlope
get
unsafe NXOpen.ScCollector NXOpen.Features.SectionSurfaceBuilder.StartSurface
get
unsafe double NXOpen.Features.SectionSurfaceBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilder.Types NXOpen.Features.SectionSurfaceBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilder.UDegreeEnum NXOpen.Features.SectionSurfaceBuilder.UDegree
getset

Returns or sets the u degree

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.SectionSurfaceBuilder.VDegree
get

Returns the v degree

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.